Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceWPCodes

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AceWPCodes

    public class AceWPCodes

extends java.lang.Object

This class handles ACE WP codes. These are the key codes used during legacy authentication and are generated by hashing the PRN, time and other items using the infamous F2 hash.

Field Summary
`static int` | `MAX_WPCODES`

Constructor Summary
`AceWPCodes()` Creates a new instance of AceWPCodes.
`AceWPCodes(java.nio.ByteBuffer buf)` Creates a new instance of AceWPCodes passed a data input stream.

Method Summary
`int` | `getWPCode(int wpCodeIndex)` Gets a WPCode.
`void` | `readWPCodes(java.nio.ByteBuffer buf)` Populates AceWPCodes from a data input stream.
`java.lang.String` | `toString()` Converts an AceWPCodes object to a string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_WPCODES

    public static final int MAX_WPCODES

See Also:
  Constant Field Values

Constructor Detail

### AceWPCodes

    public AceWPCodes()

  Creates a new instance of AceWPCodes. This is ready for a subsequent call to readWPCodes.

### AceWPCodes

    public AceWPCodes(java.nio.ByteBuffer buf)
               throws AcePacketException

  Creates a new instance of AceWPCodes passed a data input stream. This calls the unlying 'read' routine to populate the data from the input stream.

  Parameters:
    `dis` - The input stream from which the WPCodes will be read.
  Throws:
    `AcePacketException` - If there is a problem reading the codes.

Method Detail

### readWPCodes

    public void readWPCodes(java.nio.ByteBuffer buf)
                     throws AcePacketException

  Populates AceWPCodes from a data input stream. This calls the unlying 'read' routines to populate the data from the input stream.

  Parameters:
    `dis` - The input stream from which the WPCodes will be read.
  Throws:
    `AcePacketException` - If there is a problem reading the codes.

### getWPCode

    public int getWPCode(int wpCodeIndex)

  Gets a WPCode. This is passed a value from 1 to MAX_WPCODES and returns the code requested. Returns 0 if the index is out of range.

  Parameters:
    `wpCodeIndex` - The WPCode index to be returned..
  Returns:
    The WPCode requested.

### toString

    public java.lang.String toString()

  Converts an AceWPCodes object to a string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the WP codes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.